#ifndef __LINUX_MUTEX_H
#define __LINUX_MUTEX_H
#include <asm/atomic.h>

#include <sys/lock.h>
#include <sys/mutex.h>

struct mutex {
	struct mtx m;
};

#define mutex_init(_m)	mtx_init(&(_m)->m, "ldev", NULL, MTX_DEF)
#define mutex_lock(_m)	mtx_lock(&(_m)->m)
static inline int
mutex_lock_interruptible(struct mutex *_m)
{
	mtx_lock(&(_m)->m);
	return 0;
}

#define mutex_unlock(_m)	mtx_unlock(&(_m)->m)
#endif /* __LINUX_MUTEX_H */
