#ifndef _LINUX_TYPES_H
#define _LINUX_TYPES_H

/* stripped down version of the linux types */
#include <sys/types.h>
#include <linux/compiler.h>
#include <asm/types.h>	/* linux-specific */

typedef __u16 __le16;
typedef __u32 __le32;

typedef unsigned long kernel_ulong_t;

typedef unsigned int    uint;

typedef long long       loff_t; // XXX double check

typedef unsigned gfp_t;

struct inode;	/* dummy */

#endif	/* _LINUX_TYPES_H */
